//var base_path = "https://dev.miyouchats.com";
var base_path = "https://api.miyouchats.com";

var isDebugMode = false;
var app_name = "live-app";
var bundle_id = false;
var app = false;
var local_version = "";

function init_request(callback, failback) {

    var headers = {};
    headers['Content-Type'] = 'application/json';
    headers['b-channel']    = bundle_id;
    var options = {
        method: 'post',
        data: {},
        headers: headers
    };
    if(isDebugMode){
         base_path= "https://dev.miyouchats.com";
       }else{
         base_path = "https://api.miyouchats.com";
       }
     //  base_path = "https://api.miyouchats.com";
    cordova.plugin.http.sendRequest(base_path + '/sign/init', options, function (response) {
        var data = JSON.parse(response.data);
        /*if(screen.availHeight > 667){}else{
            document.getElementById("app_lancher").style.backgroundImage = "url('"+data.lancher+"')";
          }*/
                document.getElementById("app_lancher").style.backgroundImage = "url('"+data.lancher+"')";
        callback(data);
        navigator.splashscreen.hide();
    }, function () {
        failback();
    }, options);
}

function get_url_nocache(url) {
    return url + '?t=' + (new Date()).getTime();
}
function create_style(url) {
    var head = document.getElementsByTagName('head')[0];
    var style = document.createElement('link');
    style.href = url;
    style.rel = 'stylesheet';
    style.type = 'text/css';
    head.appendChild(style);
}
function crate_script(url, callback) {
    var head = document.getElementsByTagName('head')[0];
    var script = document.createElement('script');
    script.type = 'text/javascript';
    script.onload = script.onreadystatechange = function () {
        if (!this.readyState || this.readyState === "loaded" || this.readyState === "complete") {
            callback();
            script.onload = script.onreadystatechange = null;
        }
    };
    script.src = url;
    head.appendChild(script);
}
function get_local_url(path) {
    path = 'app/' + app_name + "/" + path;
    return get_url_nocache(window.Ionic.WebView.convertFileSrc(cordova.file.dataDirectory + path));
}
function load_file(){
    var css_app_path = get_local_url('/css/my-app.css');
    create_style(css_app_path);
    var js_app_path =  get_local_url('js/app.js');
    crate_script(js_app_path,function () {
        app_init(true);
    })
}
var _is_down_success = false;
var _is_show_confirm = false;
function check_config() {
    if(!app && !_is_down_success) {
        _is_down_success = true;
        init_request(function (res) {
            console.log(res);
            local_version = localStorage.getItem("version");
            if(!local_version || local_version != res.version){
                local_version = res.version;
                downloader.get(get_url_nocache(res.url));
            }else{
                load_file();
            }
        }, function () {
            _is_down_success = false;
            show_native_activity('网络似乎出现问题，请开启网络权限');
        });
    }
}

function show_native_activity(msg){
    ActivityIndicator.show(msg)
}
function hide_native_activity(){
    ActivityIndicator.hide();
}

document.addEventListener("deviceready", function () {
    bundle_id = device.bundleid;
   // StatusBar.styleDefault();
    // show_native_activity("正在初始化页面...");
    downloader.init({folder: 'app', fileSystem: cordova.file.dataDirectory, 'unzip': true});
    document.addEventListener('DOWNLOADER_downloadSuccess', function (event) {
        var fileEntry = event.data[0];
        var filename = fileEntry.name;
        console.log(filename + " DOWNLOADER_downloadSuccess");
    });
    document.addEventListener('DOWNLOADER_downloadError', function (e) {
        console.log("DOWNLOADER_downloadError",e);
        if(!_is_show_confirm){
            _is_show_confirm = true;
            hide_native_activity();
            navigator.notification.confirm("初始化页面失败，是否重试？", function (buttonIndex) {
                if (buttonIndex == 1) {
                    if(device.platform == 'iOS'){
                        cordova.exec(null,null,'CDVLive','exitApp',[]);
                    }else{
                        navigator.app.exitApp();
                    }
                }
                if (buttonIndex == 2) {
                    // show_native_activity("正在初始化页面...");
                    location.reload();
                }
            }, "错误", ["退出","重试"]);
        }
    });
    document.addEventListener('DOWNLOADER_unzipSuccess', function () {
        console.log("DOWNLOADER_unzipSuccess");
        localStorage.setItem("version",local_version);
        load_file();
    });
    document.addEventListener("offline", function () {
        show_native_activity('网络似乎出现问题!');
        if(app){
            _event_offline();
        }
    }, false);
    document.addEventListener("online", function () {
        hide_native_activity();
        if (!app && !_is_down_success) {
            check_config();
        } else {
            _event_online();
        }
    }, false);
    cordova.plugins.IsDebug.getIsDebug(function (isDebug) {
        isDebugMode = isDebug;
        console.log("isDebugMode>>>>>",isDebugMode);
        check_config();
    }, function (err) {
        show_native_activity('网络似乎出现问题!');
    });
}, false);
