cordova.define("cordova-plugin-ionic-keyboard.keyboard", function(require, exports, module) {
var argscheck = require('cordova/argscheck'),
    utils = require('cordova/utils'),
    exec = require('cordova/exec'),
    channel = require('cordova/channel');


var Keyboard = function () {};
Keyboard.fireOnBackButton = function () {
   cordova.fireWindowEvent('backbutton', null);
};
Keyboard.fireOnShow = function (height) {
    Keyboard.isVisible = true;
    cordova.fireWindowEvent('keyboardDidShow', {
        'keyboardHeight': height
    });

    // To support the keyboardAttach directive listening events
    // inside Ionic's main bundle
    cordova.fireWindowEvent('native.keyboardshow', {
        'keyboardHeight': height
    });
};

Keyboard.fireOnHide = function () {
    Keyboard.isVisible = false;
    console.log("fireOnHide");
  /*  cordova.fireWindowEvent('keyboardDidHide');
    // To support the keyboardAttach directive listening events
    // inside Ionic's main bundle
    cordova.fireWindowEvent('native.keyboardhide');*/
    keyboardWillHide();
};

Keyboard.fireOnHiding = function () {
    cordova.fireWindowEvent('keyboardWillHide');
};

Keyboard.fireOnShowing = function (height) {
    cordova.fireWindowEvent('keyboardWillShow', {
        'keyboardHeight': height
    });
};

Keyboard.hideFormAccessoryBar = Keyboard.hideKeyboardAccessoryBar = function (hide) {
    exec(null, null, "Keyboard", "hideKeyboardAccessoryBar", [hide]);
};

Keyboard.hide = function () {
    exec(null, null, "Keyboard", "hide", []);
};

Keyboard.show = function () {
    exec(null, null, "Keyboard", "show", []);
};

Keyboard.showToast = function (options) {
    exec(null, null, "Keyboard", "showToast", options);
};
Keyboard.showActionSheet = function(success,option)
{
    exec(success, null, "Keyboard", "showActionSheet", option);
};
Keyboard.showProgress = function (options) {
    exec(null, null, "Keyboard", "showProgress", options);
};

Keyboard.hideProgress = function () {
    exec(null, null, "Keyboard", "hideProgress", []);
};

Keyboard.setProgress = function (options) {
    exec(null, null, "Keyboard", "setProgress", options);
};

Keyboard.disableScroll = function (disable) {
    console.warn("Keyboard.disableScroll() was removed");
};

Keyboard.setResizeMode = function (mode) {
    console.warn("Keyboard.setResizeMode() not supported in Android");
}

/*
option : {
    placeholder: "xxxx",
    text: "默认值"
}
创建后返回:
{
    type: "inputbarShow",
    height: //输入框高度
}
用户输入后按了确认：
{
    type: "send",
    text: "xxxxxx",
    is_global: BOOL  是否为全站消息
}
*/
Keyboard.showLiveInput = function(success,option){
    exec(success, null, "Keyboard", "showLiveInput", option);
}



/*
聊天输入框:
option : {
    placeholder: "xxxx",
    text: "默认值",
    buttons: [
        {title: "xxxx", icon: "xxxxx"},
    ]
}
创建后返回:
{
    type: "inputbarShow",
    height: //输入框高度
}
用户输入后按了确认： 或者直接点了表情
{
    type: "send",
    text: "xxxxxx"
}
用户录制了语音：
{
    type: "voice",
    path: "文件本地路径",
    duration: 2.1   //语音时长
}
用户选择更多里面的按钮，对应上面 buttons
{
    type: "buttons的title"
}
*/
Keyboard.showChatBar = function (success,option) {
    exec(success, null, "Keyboard", "showChatBar", option);
};



/*该功能无需处理*/
Keyboard.play_sound = function(success,option){
    exec(success, null, "Keyboard", "play_sound", option);
}

/*
可以在修用户个人改资料里面看到
option = {
    placeholder: "占位文字",
    text: "默认文字",
    title : "显示在输入框上面的提示文字信息"
}
*/
Keyboard.showInputBar = function (success,option) {
    exec(success, null, "Keyboard", "showInputBar", option);
};

//用户点了页面空白部分，如果键盘打开，收起键盘，如果更多打开，收起更多
Keyboard.resetInputBar = function () {
    exec(null, null, "Keyboard", "resetInputBar", []);
};

//隐藏输入框
Keyboard.hideInputBar = function () {
    exec(null, null, "Keyboard", "hideInputBar", []);
};

/*
option = {
    title : "xxxxxx",
    message: "xxxxx",
    list: [
        "xxxxxxx",
        "eeeeeee",
        "xxxxxddd"
    ]
}
取消按钮默认增加到最后一行

返回：
{
    selected: //对应上面的list值
}
*/
/**
身高,体重选择
*/
Keyboard.showPickerSheet = function(success,option)
{
    exec(success, null, "Keyboard", "showPickerSheet", option);
}
/**
日期选择
*/
Keyboard.showPickerDate = function(success,option)
{
    exec(success, null, "Keyboard", "showPickerDate", option);
}
//关闭输入框
Keyboard.closeInputBar = function () {
    exec(null, null, "Keyboard", "closeInputBar", []);
};

//关闭聊天框
Keyboard.closeChatBar = function() {
    exec(null, null, "Keyboard", "closeChatBar", []);
};

//===================================================================================================

channel.onCordovaReady.subscribe(function () {
    exec(success, null, 'Keyboard', 'init', []);

    function success(msg) {
        var action = msg.charAt(0);
        if (action === 'S') {
            var keyboardHeight = parseInt(msg.substr(1));
//            Keyboard.fireOnShowing(keyboardHeight);
            Keyboard.fireOnShow(keyboardHeight);

        } else if (action === 'H') {
            Keyboard.fireOnHiding();
            Keyboard.fireOnHide();
        }
    }
});


Keyboard.isVisible = false;

module.exports = Keyboard;

});
